function domain = diplacefast(domain,Vel)
% This function moves the foil in time.
dt = domain.dt;
P = domain.P;
CP = domain.CP;
Vel = -Vel;
X= Vel(1)*dt;
Y = Vel(2)*dt;
Z = Vel(3)*dt;

% vx = domain.test.vel.x;
% vy = domain.test.vel.y;
% vz = domain.test.vel.z;
% 
% domain.test.x2 = domain.test.x2+(vx.*dt);
% domain.test.y2 = domain.test.y2+(vy.*dt);
% domain.test.z2 = domain.test.z2+(vz.*dt);

domain.test.x = domain.test.x + X;
domain.test.y = domain.test.y + Y;
domain.test.z = domain.test.z;

domain.test2.x = domain.test2.x + X;
domain.test2.y = domain.test2.y + Y;
domain.test2.z = domain.test2.z;

X2 = ones(4,1)*Vel(1)*dt;
Y2 = ones(4,1)*Vel(2)*dt;
Z2 = ones(4,1)*Vel(3)*dt;

P = cellfun(@(x) [x(:,1)+X2 x(:,2) x(:,3)],P,'un',0);
CP = cellfun(@(x) [x(1)+X x(2) x(3)],CP,'un',0);

domain.P = P;
domain.CP = CP;

end