function [x,y,z] = rotgeom2(B,pos,x,y,z,xg,yg,zg)

[a,b] = size(x);
xg = ones(a,b)*xg;
yg = ones(a,b)*yg;
zg = ones(a,b)*zg;
x = x-xg;
y = y-yg;
z = z-zg;
for i = 1:a
    for j = 1:b
        
     trans = B*[x(i,j); y(i,j); z(i,j)];   
     x(i,j) = trans(1)+pos(1);
     y(i,j) = trans(2)+pos(2);
     z(i,j) = trans(3)+pos(3);
    end
end

x = x+xg;
y = y+yg;
z = z+zg;
end