function [B] = transmatrix(phi,theta,xi)

% This Function creates the rotational matrix

A = [cosd(xi) -sind(xi) 0; sind(xi) cosd(xi) 0; 0 0 1];
C = [cosd(theta) 0 sind(theta); 0 1 0; -sind(theta) 0 cosd(theta)];
D = [1 0 0; 0 cosd(phi) -sind(phi); 0 sind(phi) cosd(phi)];

B = A*C*D; % yaw, pitch, roll

end